incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Gruno <rum...@cord.dk>
Subject Re: [VOTE] Release of Apache Allura 1.1.0 incubating
Date Fri, 21 Feb 2014 18:49:22 GMT
top-posting first, then a bit inside the original email;
I am +1 with regards to Allura 1.1.0 + changes, but still -1 on the
release candidate. If you were to spin up a new RC with the
proposed/fixed things, then I would be +1 towards that.

On 02/18/2014 12:54 AM, Dave Brondsema wrote:
> On 2/16/14 6:28 AM, Daniel Gruno wrote:
>> -1. files check out, but Allura doesn't work :(
>>
>> checksums match, installation works, though not very well on ubuntu
>> minimal 13.10, dependencies cannot be met, I had to rewrite
>> requiements-common.txt to use Ming 0.4.3 instead of 0.4.2 which doesn't
>> exist, and libtidy was changed to 0.1.2 as 0.2.1 wasn't available.
> 
> Not sure why Ming 0.4.2 wasn't available for you.  Can you provide more details
> of how you tried to install it and what the error was?  I see it at
> https://pypi.python.org/pypi/Ming/0.4.2 and this works fine for me as a simple test:
As we discussed on IRC, this is due to pip 1.5.2 having a different set
of rules for handling external resources. I have noted that you have set
about to changing the installation instructions, which is great. I have
also noted that the Ming-0.4.2 package has been made available now my
Tim, so the only 'troublemaker' left is the tidylib.
> 
> $ virtualenv /tmp/venv
> $ source /tmp/venv/bin/activate
> $ pip install Ming==0.4.2
> 
> And https://pypi.python.org/pypi/pytidylib/ is there, for 0.2.1
> 
>>
>> Created account, created project, went to admin it...and FAILURE!
>>
>> Line 913 in allura/lib/plugin has "else: ", when it should have "elif
>> app in g.entry_points['tool']:" - it breaks the entire site when viewing
>> the admin tab. I have checked on multiple machines, and I get this error
>> all the time.
> 
> That does look like a good change.  I presume when you were installing and the
> INSTALL said "And now to setup the Allura applications for development.  If you
> want to setup all of them, run `./rebuild-all.bash`" that you chose the 2nd
> option to just install individual tools and didn't install all of them (e.g.
> ForgeTracker)?  If all were installed, I don't think you'd get an error there.
> 
At first I did not bother installing everything, as I assumed this
wasn't necessary. I have since tried it with the full install, and it
did not produce the same error then, but I still think the change to the
plugin file is necessary for a release to be sane. Many people will
probably run into this error as well if they only do a minimal installation.

With regards,
Daniel.

---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
For additional commands, e-mail: general-help@incubator.apache.org


Mime
View raw message